/////////////////////////////////////////////////
// ACCUEIL DU SITE OU DE L'APPLICATION
// [DOMAIN]/
/////////////////////////////////////////////////

/////////////////////////////////////////////////
// APPELS DES MODULES
/////////////////////////////////////////////////
const express = require('express');
const router = express.Router();
const path = require("path");

////////////////////////////////////////////////////
// FILE NAME
////////////////////////////////////////////////////
const filename = path.parse(__filename).base;

/////////////////////////////////////////////////
// LOGGING
/////////////////////////////////////////////////
const logger = require("../public/js/app/logger");

/////////////////////////////////////////////////
// APPELS DES FONCTIONS
/////////////////////////////////////////////////
const {
    affiche_page_accueil,
    affiche_page_pernambouc,
    affiche_page_initiatives,
    affiche_page_cooperations,
    affiche_page_actualites,
    affiche_page_participer,
    affiche_page_ipcife,
    affiche_page_ressources
} = require("../controllers/appController");

/////////////////////////////////////////////////
// VARIABLE
/////////////////////////////////////////////////


/////////////////////////////////////////////////
// ROUTES
/////////////////////////////////////////////////

////////////////////////////////////////////////
// ACCUEIL

router.get('/', affiche_page_accueil);

////////////////////////////////////////////////
// PERNAMBOUC

router.get('/pernambouc', affiche_page_pernambouc);

////////////////////////////////////////////////
// INITIATIVES

router.get('/initiatives', affiche_page_initiatives);

////////////////////////////////////////////////
// COOPERATION

router.get('/cooperations', affiche_page_cooperations);

////////////////////////////////////////////////
// ACTUATILTÉS

router.get('/actualites', affiche_page_actualites);

////////////////////////////////////////////////
// PARTICIPER

router.get('/participer', affiche_page_participer);

////////////////////////////////////////////////
// PARTICIPER

router.get('/ipcife', affiche_page_ipcife);

////////////////////////////////////////////////
// RESSOURCES

router.get('/ressources', affiche_page_ressources);

/////////////////////////////////////////////////
// EXPORT DE MODULE POUR QU'IL SOIT LU DANS LES AUTRES FICHIERS JS
/////////////////////////////////////////////////
module.exports = router;
