// STRAPI API REST
// API STRAPI

/////////////////////////////////////////////////
// APPELS DES MODULES
/////////////////////////////////////////////////
// FETCH (utile pour nodejs version < 18)
const fetch = require("node-fetch");
// CALCUL DE DATE
const moment = require('moment');

/////////////////////////////////////////////////
// LOGGING
/////////////////////////////////////////////////
const logger = require("../public/js/app/logger");

async function strapi_get_footer(req,res) {

    let strapi_url_id = 'footer?populate=*';
    let response_get_strapi = await strapi_get(strapi_url_id);
    //console.log("response_get_strapi = ", response_get_strapi);
    //console.log("response_get_strapi.data.attributes.Footer_logo = ", response_get_strapi.data.attributes.Footer_logo.data.attributes.url);
    res.locals.Footer_description = response_get_strapi.data.attributes.Footer_description;
    res.locals.Footer_adresse_rue = response_get_strapi.data.attributes.Footer_adresse_rue;
    res.locals.Footer_adresse_cp_ville = response_get_strapi.data.attributes.Footer_adresse_cp_ville;
    res.locals.Footer_logo = process.env.strapi_media_url + response_get_strapi.data.attributes.Footer_logo.data.attributes.url;
    
    //DATE DE VERSION
    moment.locale('fr');
    let now = moment().format("DD/MM/YYYY");
    res.locals.date = now;
    
    return;

}

// RÉCUPÉRER LE CONTENU DEPUIS STRAPI SELON UNE URL DE REST API D'UNE PAGE EN PARTICULIER
async function strapi_get(strapi_url_id) {

        

        try {
            let strapi_url_req = process.env.strapi_API_BASE_URL + strapi_url_id;
            let strapi_headers = {'Content-Type': 'application/x-www-form-urlencoded','Authorization':'Bearer '+process.env.strapi_token+''}
            premise_get_strapi = await fetch(strapi_url_req, {method: 'GET', headers: strapi_headers});
            console.log("premise_get_strapi = ",premise_get_strapi);
            console.log("TROUVE DANS STRAPI")
            return response_get_strapi = await premise_get_strapi.json();
         } catch {
            console.log("NON TROUVE DANS STRAPI")
            return response = "non_trouve";
         }

}

module.exports = {
    strapi_get,
    strapi_get_footer
}